%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(Benchmark.pm) perl(Exporter.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Parse/RecDescent.pm) perl(Test/More.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(NetAddr/IP.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name Authen-Tcpdmatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Perl extension for parsing  hosts.allow  and  hosts.deny
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IO/IOANNIS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module in a front-end to the core functionality of tcpdmatch, which consults hosts.allow
and hosts.deny to decide if service should be granted. 

Its sole purpose is to choose load either TcpdmatchYapp (a yapp parser), or 
TcpdmatchRD ( a RecDescent parser) . In previous releases the default
parser was yapp, but the default is now set to RecDecent since yapp is presently
disabled.

=for hide

The default action is to load
the yapp parser since it is several times faster than RecDescent, and it 
is a lot easier to make it re-entrant.

Set the environment variable  TCPDMATCH to "RD" in order to use the RecDescent parser,
or just ignore this module and load  "use  Authen::Tcpdmatch::TcpdmatchRD"  instead.
The use interface is the same for all Authen::Tcpdmatch::Tcpdmatch*  modules.
=end

=over

=item tcpdmatch() 

The first and second arguments
are the requested service and the name of remote host, respectively. The third
(optional) argument indicates the directory of the hosts.* files. (Default is /etc .)

=back

%prep
%setup -n %{module_name}-%{module_version}
rm -f t/[0-9][-_]pod-coverage.t t/[0-9][0-9][-_]pod-coverage.t t/[0-9]pod-coverage.t t/[0-9][0-9]pod-coverage.t t/pod-coverage.t

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

